%define anolis_release 1
Summary: Utility for the creation of squashfs filesystems
%global forgeurl https://github.com/plougher/squashfs-tools
Version: 4.5
Name: squashfs-tools
Release: %{anolis_release}%{?dist}
License: GPLv2+
URL: %{forgeurl}
Source: %{forgeurl}/archive/4.5.tar.gz
# manpages from http://ftp.debian.org/debian/pool/main/s/squashfs-tools/squashfs-tools_4.2+20121212-1.debian.tar.xz
# Man pages still need a lot of changes for 4.5
Source1: mksquashfs.1
Source2: unsquashfs.1

BuildRequires: make
BuildRequires:  gcc
BuildRequires: zlib-devel
BuildRequires: xz-devel
BuildRequires: lzo-devel
BuildRequires: libattr-devel
BuildRequires: lz4-devel
BuildRequires: libzstd-devel

%description
Squashfs is a highly compressed read-only filesystem for Linux.  This package
contains the utilities for manipulating squashfs filesystems.

%prep
%setup -n %{name}-4.5

%build
%set_build_flags
pushd squashfs-tools
CFLAGS="%{optflags}" XZ_SUPPORT=1 LZO_SUPPORT=1 LZMA_XZ_SUPPORT=1 LZ4_SUPPORT=1 ZSTD_SUPPORT=1 make %{?_smp_mflags}
popd

%install
mkdir -p %{buildroot}%{_sbindir} %{buildroot}%{_mandir}/man1
install -m 755 squashfs-tools/mksquashfs %{buildroot}%{_sbindir}/mksquashfs
install -m 755 squashfs-tools/unsquashfs %{buildroot}%{_sbindir}/unsquashfs
install -m 644 %{SOURCE1} %{buildroot}%{_mandir}/man1/mksquashfs.1
install -m 644 %{SOURCE2} %{buildroot}%{_mandir}/man1/unsquashfs.1
ln -s mksquashfs %{buildroot}%{_sbindir}/sqfstar
ln -s unsquashfs %{buildroot}%{_sbindir}/sqfscat

%files
%doc README ACKNOWLEDGEMENTS README-4.5 CHANGES COPYING USAGE

%doc README
%{_mandir}/man1/*

%{_sbindir}/mksquashfs
%{_sbindir}/unsquashfs
%{_sbindir}/sqfstar
%{_sbindir}/sqfscat

%changelog
* Mon Mar 07 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 4.5-1
- Init from upstream version 4.5

